% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/bssdata_class.R
\name{package_data}
\alias{package_data}
\title{Package data for reproducible statistical analysis.}
\usage{
package_data(
  type = "cbm",
  subjdir = NULL,
  csv = "",
  hemi = "left",
  cbmsmooth = 0,
  tbmsmooth = 0,
  dbmsmooth = 0,
  measure = "FA",
  atlas = "",
  eddy = TRUE,
  outdir = NULL
)
}
\arguments{
\item{type}{character string denoting type of analysis. Should be cbm, tbm, or roi.}

\item{subjdir}{subject directory containing BrainSuite processed data.}

\item{csv}{filename of a comma separated (csv) file containing the subject demographic information.
The first column of this csv file
should be "subjID" and should have subject identifiers you wish to analyze. subjID can be alphanumeric
and should be exactly equal to the individual subject directory name.}

\item{hemi}{chaaracter string denoting the brain hemisphere. Should either be "left" or "right".}

\item{cbmsmooth}{numeric value denoting the smoothing level for cbm.}

\item{tbmsmooth}{numeric value denoting the smoothing level for tbm.}

\item{dbmsmooth}{numeric value denoting the smoothing level for dbm.}

\item{measure}{character specifying the brain imaging measure. If analyzing diffusion data, should be "FA".}

\item{atlas}{path name to the atlas}

\item{eddy}{boolean for specifying if the diffusion images were eddy-current corrected or not.}

\item{outdir}{output directory that will contain the copied data}
}
\description{
Takes same parameters as \code{\link{load_bss_data}} and copies the data to a new directory specified by outdir. You can repeatedly call this function to copy data of different types (tbm -- nii.gz, cbm -- .dfs files etc.) to the same output directory.
Prior to using this function, BrainSuite and svreg should be run on all subjects.
If required, smoothing should be performed on cortical surface or volumetric image based measures.
A csv file containing subject demographic information should exist. The first column of this csv file
should have the subject identifiers. Subject identifiers can be alphanumeric
and should be exactly equal to the individual subject directory names.
}
